<?xml version="1.0" encoding="UTF-8" ?>
<!--
 *************************************************************************
 * The contents of this file are subject to the Openbravo  Public  License
 * Version  1.0  (the  "License"),  being   the  Mozilla   Public  License
 * Version 1.1  with a permitted attribution clause; you may not  use this
 * file except in compliance with the License. You  may  obtain  a copy of
 * the License at http://www.openbravo.com/legal/license.html
 * Software distributed under the License  is  distributed  on  an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific  language  governing  rights  and  limitations
 * under the License.
 * The Original Code is Openbravo ERP.
 * The Initial Developer of the Original Code is Openbravo SLU
 * All portions are Copyright (C) 2011-2012 Openbravo SLU
 * All Rights Reserved.
 * Contributor(s):  ______________________________________.
 *************************************************************************
-->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Select Payments</title>
<link rel="shortcut icon" href="../../../../../web/images/favicon.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../../../../../web/skins/Default/Openbravo_ERP_250.css" id="paramCSS"></link>
<script language="JavaScript" src="../../../../../web/js/ajax.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/shortcuts.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/utils.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/windowKeyboard.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/appStatus.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/djConfig.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/dojotoolkit/dojo/dojo.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/djDependencies.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/searchs.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/messages.js" type="text/javascript"></script>
<script language="JavaScript" src="../../../../../web/js/default/MessageBox.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" id="paramDirectory">var baseDirectory = "../../../../../web/";</script>
<script language="JavaScript" type="text/javascript" id="paramLanguage">defaultLang = "en_US";</script>

<script type="text/javascript">
  window.onunload = reloadOpener; // reloads opener on closing
</script>

<script language="JavaScript" type="text/javascript">
function validate(action) {
  return true;
}

function closeThisPage() {
  closePage();
}
</script>
<script language="JavaScript" type="text/javascript">
function onLoadDo(){
  this.windowTables = new Array(
    new windowTableId('client_middle', 'buttonOK'),
    new windowTableId('client_bottom', 'buttonOK')
  );
  setWindowTableParentElement();
  enableShortcuts('popup');
  setBrowserAutoComplete(false);

  try {
    onloadFunctions();
  } catch (e) {}

  setWindowElementFocus('firstElement');
  resizeAreaInfo();
}

function onResizeDo(){
  resizeAreaInfo(true);
}

function validateSelector(action) {
  var strSelectedRowList = "";
  if(action == "SAVE") {
    rows = dijit.byId('grid').getSelectedRows();
    if (rows[0] === undefined) {
      showJSMessage('NotSelected');
      return false;
    }
    for(var i=0; i < rows.length; i++) {
      var rowkey = rows[i].split("#");
      if (i==0)
        strSelectedRowList = rowkey;
      else
        strSelectedRowList = strSelectedRowList + "," + rowkey;
    }
  }
  document.frmMain.elements["inpSelectedRowList"].value = strSelectedRowList;
  submitThisPage('SAVE');
}

function setGridFilters(newparams) {
  var params = [];
  params["newFilter"] = "1";
  if (newparams!=null && newparams.length>0) {
    var total = newparams.length;
    for (var i=0;i<total;i++) {
      params[newparams[i][0]] = newparams[i][1];
    }
  }
  dijit.byId('grid').setRequestParams(params);
  return true;
}

function onGridLoadDo() {
  if (selectedRow==null) return true;
  if (selectedRow<=0) dijit.byId('grid').goToFirstRow();
  else dijit.byId('grid').goToRow(selectedRow);
  return true;
}

function gridMovePage(direction) {
  dijit.byId('grid').gridMovePage(direction);
  return true;
}

function submitThisPage(strCommand) {
  if (validate()) {
    submitCommandForm(strCommand, false, document.frmMain, null);
    return true;
  }
  return true;
}

function updateHeader(liveGrid, offset) {
  var backendPageSize = liveGrid.getBackendPageSize();
  var currPageStart = (liveGrid.metaData.getBackendPage()*backendPageSize);
  var pageFull = (liveGrid.metaData.getTotalRows() >= backendPageSize);
  var firstPage = (liveGrid.metaData.getBackendPage() == 0);
  var res =  "<nobr class='Main_ToolBar_text_bookmark'>";
  var strPrevious = getMessage("GridPreviousPage");
  var strNext = getMessage("GridNextPage");
  
  if (!firstPage) {
    res = res + "<a href='#' onclick='gridMovePage(\"PREVIOUSPAGE\")' class='Main_ToolBar_text_pagerange'>" + strPrevious + " " + backendPageSize + "</a>&nbsp;&nbsp;";
  }
  res = res + ((liveGrid.visibleRows>0)?(currPageStart+offset+1):0) + " - "+ (currPageStart+offset+liveGrid.visibleRows) + " / " + (currPageStart+liveGrid.metaData.getTotalRows());
  if (pageFull) {
    res = res + "&nbsp;&nbsp;<a href='#' onclick='gridMovePage(\"NEXTPAGE\")' class='Main_ToolBar_text_pagerange'>" + strNext + " " + backendPageSize + "</a>";
  }
  
  liveGrid.setGridPaging(!firstPage,pageFull);
  res = res + "</nobr>";
  dojo.byId('bookmark').innerHTML = res;
}
  
</script>
<script language="JavaScript" type="text/javascript" id="selectedColumn">  
  var selectedRow = 0;
  var orderByPositions = new Array("1");
  var orderByDirections = new Array("ASC");
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="onLoadDo();" onresize="onResizeDo();">
<form name="frmMain" method="post" action="SelectPayments.html">
  <input type="hidden" name="Command" />
  <input type="hidden" name="IsPopUpCall" value="1" />
  <input type="hidden" name="inpadOrgId" value="" id="fieldOrg"/>
  <input type="hidden" name="isFirstLoad" value="true"/>
  <input type="hidden" name="inpSelectedRowList" id="inpSelectedRowList" value="">
  <input type="hidden" name="inpKeyName" value=""> <!-- Needed for dojo -->
  <input type="hidden" name="inpTabId" id="inpTabId" value="">
  <div class="Popup_ContentPane_CircleLogo">
    <div class="Popup_WindowLogo">
      <img class="Popup_WindowLogo_Icon Popup_WindowLogo_Icon_process" src="../../../../../web/images/blank.gif" border=0/></img>
    </div>
  </div>
  <table cellspacing="0" cellpadding="0" width="100%" id="table_header">
    <tr>
      <td>
        <table cellspacing="0" cellpadding="0" class="Popup_ContentPane_NavBar">
          <tr class="Popup_NavBar_bg"><td></td>
            <td class="Popup_NavBar_separator_cell"></td>
            <td class="Popup_NavBar_bg_logo_left"></td>
            <td class="Popup_NavBar_bg_logo" width="1" onclick="openNewBrowser('http://www.openbravo.com', 'Openbravo');return false;"><img src="../../../../../web/images/blank.gif" alt="Openbravo" title="Openbravo" border="0" id="openbravoLogo" class="Popup_NavBar_logo" /></td>
            <td class="Popup_NavBar_bg_logo_right"></td>
            <td class="Popup_NavBar_Popup_title_cell"><span>Select Payments</span></td>
            <td class="Popup_NavBar_separator_cell"></td>
          </tr>
        </table>
      </td>
    </tr>

    <tr>
      <td>
        <table cellspacing="0" cellpadding="0" class="Popup_ContentPane_SeparatorBar">
          <tr>
            <td class="Popup_SeparatorBar_bg"></td>
          </tr>
        </table>
      </td>
    </tr>

  </table>
  <table cellspacing="0" cellpadding="0" width="100%">
    <tr>
      <td>
        <div class="Popup_ContentPane_Client" style="overflow: auto;" id="client_messagebox">

          <!-- MessageBox -->
          <table cellpadding="0" cellspacing="0" id="messageBoxID" class="MessageBoxyy">
            <tbody>
            <tr class="MessageBox_TopMargin">
              <td class="MessageBox_LeftMargin"></td>
              <td></td>
              <td class="MessageBox_RightMargin"></td>
            </tr>
            <tr>
              <td class="MessageBox_LeftMargin"></td>
              <td>

                <table cellpadding="0" cellspacing="0" class="MessageBox_Container">
                  <tbody>
                  <tr>
                    <td class="MessageBox_LeftTrans">
                      <table style="width: 100%; height: 100%" cellpadding="0" cellspacing="0">
                        <tbody>
                        <tr>
                          <td class="MessageBox_TopLeft"></td>
                        </tr>
                        <tr>
                          <td class="MessageBox_Left"></td>
                        </tr>
                        </tbody>
                      </table>
                    </td>
                    <td class="MessageBox_bg">

                      <table class="MessageBox_Top">
                      <tbody>
                        <tr>
                          <td>
                            <span>
                            <table cellpadding="0" cellspacing="0" class="MessageBox_Body_ContentCell">
                              <tbody>
                              <tr>
                                <td class="MessageBox_Icon_ContentCell">
                                  <div class="MessageBox_Icon"></div>
                                </td>
                                <td style="vertical-align: top;" id="messageBoxIDContent">
                                  <span>
                                    <div class="MessageBox_TextTitle" id="messageBoxIDTitle">
                                      xxInfo: AccessTableWithNoView
                                    </div>
                                    <div class="MessageBox_TextDescription" id="messageBoxIDMessage">
                                      xxThe current information is empty.
                                    </div>
                                    <div class="MessageBox_TextSeparator"></div>
                                  </span>
                                </td>
                              </tr>
                              </tbody>
                            </table>
                            </span>
                          </td>
                        </tr>
                        </tbody>
                      </table>

                    </td>
                    <td class="MessageBox_RightTrans">
                      <table style="width: 100%; height: 100%" cellpadding="0" cellspacing="0">
                        <tbody>
                        <tr>
                          <td class="MessageBox_TopRight"></td>
                        </tr>
                        <tr>
                          <td class="MessageBox_Right"></td>
                        </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td rowspan="2" class="MessageBox_BottomLeft">
                    </td>
                    <td class="MessageBox_BottomTrans MessageBox_bg">
                    </td>
                    <td rowspan="2" class="MessageBox_BottomRight">
                    </td>
                  </tr>
                  <tr>
                    <td class="MessageBox_Bottom">
                    </td>
                  </tr>
                  </tbody>
                </table>

              </td>
              <td class="MessageBox_RightMargin"></td>
            </tr>
            <tr class="MessageBox_BottomMargin">
              <td class="MessageBox_LeftMargin"></td>
              <td></td>
                <td class="MessageBox_RightMargin"></td>
              </tr>
            </tbody>
          </table>
        <!-- MessageBox END -->
        </div>
      </td>
    </tr>
  </table>

  <table cellspacing="0" cellpadding="0" width="100%">

    <tr>
      <td>
        <div class="Popup_ContentPane_Client" style="overflow: auto;" id="client_top">
          <table cellspacing="0" cellpadding="0" class="Popup_Client_TableSelector">

            <tr>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
            </tr>

            <tr class="FieldGroup_BottomMargin"></tr>
            <tr>
              <td class="Radio_Check_ContentCell" colspan="3">
                <span class="Radio_Check_ContentCell Checkbox_container_NOT_Focused"><INPUT type="checkbox" name="inpAlternativePaymentMethod" value="Y" id="paramAlternativePaymentMethod" onclick="setFilters();"></INPUT></span>
                <span class="TitleCell LabelText"><label for="paramAlternativePaymentMethod" class="LabelTextAfterCheckbox">Show payments for alternative payment methods</label></span>
              </td>
            </tr>

          </table>
        </div>
      </td>
    </tr>
    <tr>
      <td>
        <div class="Popup_ContentPane_Client" style="overflow-x: hidden; overflow-y: auto;" id="client_middle">
          <table summary="" id="sectionDetail">
            <tr>
              <td>
                <table cellspacing="0" cellpadding="0" width="10px" class="DataGrid_Header_Table DataGrid_Body_Table" style="table-layout: auto;" id="grid_sample">
                  <tr class="DataGrid_Body_Row" id="grid_sample_header">
                    <th width="10px" class="DataGrid_Header_Cell">DataGrid</th>
                  </tr>
                  <tr class="DataGrid_Body_Row DataGrid_Body_Row_1" id="grid_sample_row">
                    <td class="DataGrid_Body_Cell">Loading...</td>
                  </tr>
                </table>
                <table cellspacing="0" cellpadding="0" width="0px" height="0px" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><input type="text" class="DataGrid_Table_Dummy_Input" id="grid_table_dummy_input"></input></td>
                  </tr>
                </table>
                <table width="100%" cellspacing="0" cellpadding="0" border="0" id="grid_bookmark">
                  <tr>
                   <td class="DataGrid_Popup_text_container">
                     <div id="bookmark"><nobr class='DataGrid_Popup_text_bookmark'>&nbsp;</nobr></div>
                   </td>
                  </tr>
                </table>
                <table width="100%" cellspacing="0" cellpadding="0" border="0" class="Main_Client_TableRelation" id="grid_table">
                  <tr>
                    <td>
                      <div id="grid" dojotype="openbravo.widget.DataGrid"
                        structureurl="../org.openbravo.module.remittance.ad_actionbutton/SelectPayments.html?Command=STRUCTURE"
                        dataurl="../org.openbravo.module.remittance.ad_actionbutton/SelectPayments.html?Command=DATA"
                        updatesurl="../org.openbravo.module.remittance.ad_actionbutton/SelectPayments.html?Command=DATA"
                        calculatenumrows="true" editable="false" sortable="true"
                        deleteable="true" oninvalidvalue="alert" onscroll="updateHeader"
                        ongridload="onGridLoadDo" buffersize="3.0" showlinenumbers="true"
                        offset="0" sortcols="1" sortdirs="ASC" defaultrow="0"
                        maxwidth="99%" percentagewidthrelativetoid="client_middle"
                        multipleRowSelection="true"
                        preventcache="true" usecache="true" cachecontent="false">
                      </div>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </div>
      </td>
    </tr>
    
    <tr>
      <td>
        <div class="Popup_ContentPane_Client" style="overflow: auto; padding-bottom: 5px;" id="client_bottom">
          <table cellspacing="0" cellpadding="0" class="Popup_Client_TableSelector">

            <tr>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
              <td class="TableEdition_OneCell_width"></td>
            </tr>
            <tr>
              <td></td>
              <td></td>
              <td class="Button_RightAlign_ContentCell">
                <div>
                  <button type="button" 
                    id="buttonOK" 
                    class="ButtonLink" 
                    onclick="validateSelector('SAVE');return false;" 
                    onfocus="buttonEvent('onfocus', this); window.status='Accept'; return true;" 
                    onblur="buttonEvent('onblur', this);" 
                    onkeyup="buttonEvent('onkeyup', this);" 
                    onkeydown="buttonEvent('onkeydown', this);" 
                    onkeypress="buttonEvent('onkeypress', this);" 
                    onmouseup="buttonEvent('onmouseup', this);" 
                    onmousedown="buttonEvent('onmousedown', this);" 
                    onmouseover="buttonEvent('onmouseover', this); window.status='Accept'; return true;" 
                    onmouseout="buttonEvent('onmouseout', this);">
                    <table class="Button">
                      <tr>
                        <td class="Button_left"><img class="Button_Icon Button_Icon_ok" alt="Accept" title="Accept" src="../../../../../web/images/blank.gif" border="0" /></td>
                        <td class="Button_text Button_width">OK</td>
                        <td class="Button_right"></td>
                      </tr>
                    </table>
                  </button>
                </div>
              </td>
              <td class="Button_LeftAlign_ContentCell">
                <div>
                  <button type="button" 
                    id="buttonCancel" 
                    class="ButtonLink" 
                    onclick="closeThisPage();return false;"
                    onfocus="buttonEvent('onfocus', this); window.status='Cancel'; return true;"
                    onblur="buttonEvent('onblur', this);"
                    onkeyup="buttonEvent('onkeyup', this);"
                    onkeydown="buttonEvent('onkeydown', this);"
                    onkeypress="buttonEvent('onkeypress', this);"
                    onmouseup="buttonEvent('onmouseup', this);"
                    onmousedown="buttonEvent('onmousedown', this);"
                    onmouseover="buttonEvent('onmouseover', this); window.status='Cancel'; return true;"
                    onmouseout="buttonEvent('onmouseout', this);">
                    <table class="Button">
                      <tr>
                        <td class="Button_left"><img class="Button_Icon Button_Icon_cancel" alt="Cancel" title="Cancel" src="../../../../../web/images/blank.gif" border="0" /></td>
                        <td class="Button_text Button_width">Cancel</td>
                        <td class="Button_right"></td>
                      </tr>
                    </table>
                  </button>
                </div>
              </td>
              <td></td>
              <td></td>
            </tr>
          </table>
        </div>
      </td>
    </tr>
  </table>
</form>
</body>
</html>
